> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registered Models visible to user (v2)

> Get registered models that a user can see, with support for filtering by model category. Returns all models by default.



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/registeredmodels/v2
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/registeredmodels/v2:
    get:
      tags:
        - RegisteredModels
      summary: Get Registered Models visible to user (v2)
      description: >-
        Get registered models that a user can see, with support for filtering by
        model category. Returns all models by default.
      operationId: getRegisteredModelsV2
      parameters:
        - description: Project ID of requested models.
          in: query
          name: projectId
          required: false
          schema:
            type: string
        - description: >-
            Search parameter to retrieve models from Mlflow (currently supports
            name and tags)
          in: query
          name: searchPattern
          required: false
          schema:
            type: string
        - description: Filter models by category. If not specified, returns all models.
          in: query
          name: modelCategory
          required: false
          schema:
            enum:
              - genai
              - ml
            type: string
        - description: >-
            Pagination token to go to the next page based on a previous search
            query.
          in: query
          name: pageToken
          required: false
          schema:
            type: string
        - description: Max number of Registered Models to fetch. Defaults to 25.
          in: query
          name: maxResults
          required: false
          schema:
            default: 25
            type: integer
        - description: >-
            List of columns for ordering search results, which can include model
            name and last updated timestamp with an optional "DESC" or "ASC"
            annotation, where "ASC" is the default. Tiebreaks are done by model
            name ASC.
          in: query
          name: orderBy
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedRegisteredModelsEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    PaginatedRegisteredModelsEnvelopeV1:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RegisteredModelV1'
          type: array
        metadata:
          $ref: '#/components/schemas/TokenPaginatedMetadataV1'
      required:
        - items
        - metadata
      type: object
    RegisteredModelV1:
      properties:
        createdAt:
          description: When the latest version of the model was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        description:
          description: Description of the model
          example: Customer churn model
          type: string
        discoverable:
          default: false
          description: >
            Indicates whether this model is publicly discoverable. If true,
            users who are not project members will see this model in search
            results and can view basic model details.

            This field may be omitted when false.
          type: boolean
        latestVersion:
          description: The latest version of the model
          example: 1
          type: integer
        name:
          description: Name of the registered model
          example: churn-prediction
          type: string
        ownerUsername:
          description: Username of the model's creator
          example: martin_hito
          type: string
        project:
          $ref: '#/components/schemas/RegisteredModelProjectSummaryV1'
        requestingUserAccess:
          $ref: '#/components/schemas/RegisteredModelRequestingUserAccessV1'
        tags:
          $ref: '#/components/schemas/RegisteredModelTagsV1'
        updatedAt:
          description: When the latest version of the model was updated
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
      required:
        - name
        - description
        - project
        - tags
        - ownerUsername
        - createdAt
        - updatedAt
        - requestingUserAccess
      type: object
    TokenPaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/TokenPaginationV1'
      required:
        - pagination
        - requestId
        - notices
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    RegisteredModelProjectSummaryV1:
      description: type that tracks properties of the project associated with a model
      properties:
        id:
          description: ID of the project housing the model
          example: 62313ce67a0af0281c01a6a5
          type: string
        isGitBasedProject:
          description: Whether the project is a git-based project
          type: boolean
        name:
          description: Name of the project overview housing the model
          example: TO-DO
          type: string
        ownerUsername:
          description: Name of the project owner
          example: TO-DO
          type: string
      required:
        - id
        - name
        - ownerUsername
        - isGitBasedProject
      type: object
    RegisteredModelRequestingUserAccessV1:
      description: >-
        Describes the operations that the requesting user has permission to do
        with this model.
      properties:
        canEditModel:
          description: True if the requesting user can update this model
          type: boolean
        canEditProjectAssets:
          description: >
            True if the requesting user has permissions to edit other assets of
            the project that this model belongs to.
          type: boolean
        canViewExperimentRuns:
          description: >
            True if the requesting user can view experiment runs of the project
            that this model belongs to.
          type: boolean
        canViewModelApis:
          description: >
            True if the requesting user can view model apis of the project that
            this model belongs to.
          type: boolean
        canViewProject:
          description: >
            True if the requesting user can view the project overview of the
            project that this model belongs to.
          type: boolean
        canViewProjectFiles:
          description: >
            True if the requesting user can view the files of the project that
            this model belongs to.
          type: boolean
      required:
        - canEditModel
        - canEditProjectAssets
        - canViewExperimentRuns
        - canViewModelApis
        - canViewProject
        - canViewProjectFiles
      type: object
    RegisteredModelTagsV1:
      additionalProperties:
        type: string
      description: A map of key -> value
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    TokenPaginationV1:
      properties:
        nextPageToken:
          description: Pagination token to request the next page of objects
          type: string
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````